Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# CIAO::Config_Handlers Namespace Reference

## Classes
class | CIAO::Config_Handlers::ADD_Handler
class | CIAO::Config_Handlers::Any_Handler
class | CIAO::Config_Handlers::CCD_Handler
class | CIAO::Config_Handlers::CEPE_Handler
class | CIAO::Config_Handlers::ComponentPropertyDescription_Handler
class | CIAO::Config_Handlers::CPD_Handler
class | CIAO::Config_Handlers::CRDD_Handler
class | CIAO::Config_Handlers::DataType_Handler
class | CIAO::Config_Handlers::DP_Handler
class | CIAO::Config_Handlers::DP_Handler::NoPlan
class | CIAO::Config_Handlers::DP_PCD_Handler
class | CIAO::Config_Handlers::ERE_Handler
class | CIAO::Config_Handlers::ID_Handler
class | CIAO::Config_Handlers::IDD_Handler
class | CIAO::Config_Handlers::IDREF_Base
class | CIAO::Config_Handlers::IRDD_Handler
class | CIAO::Config_Handlers::MDD_Handler
class | CIAO::Config_Handlers::PCD_Handler
class | CIAO::Config_Handlers::Property_Handler
class | CIAO::Config_Handlers::PSPE_Handler
class | CIAO::Config_Handlers::RDD_Handler
class | CIAO::Config_Handlers::Req_Handler
class | CIAO::Config_Handlers::STD_CID_Handler
class | CIAO::Config_Handlers::STD_CPD_Handler
class | CIAO::Config_Handlers::STD_IAD_Handler
class | CIAO::Config_Handlers::STD_PC_Intf
class | CIAO::Config_Handlers::STD_PCD_Handler
class | CIAO::Config_Handlers::XML_Error_Handler
class | CIAO::Config_Handlers::XML_File_Intf
class | CIAO::Config_Handlers::XML_Helper
| Helper class for some routine XML stuff. More...
class | CIAO::Config_Handlers::IDREF_Handler
| Base class for any handler that must process idrefs. More...
class | CIAO::Config_Handlers::XML_Error_Hander
| Error handler for XERCES. More...
## Functions
bool | operator== (::CIAO::Config_Handlers::TCKind const &a,::CIAO::Config_Handlers::TCKind const &b)
bool | operator!= (::CIAO::Config_Handlers::TCKind const &a,::CIAO::Config_Handlers::TCKind const &b)
bool | operator== (::CIAO::Config_Handlers::SatisfierPropertyKind const &a,::CIAO::Config_Handlers::SatisfierPropertyKind const &b)
bool | operator!= (::CIAO::Config_Handlers::SatisfierPropertyKind const &a,::CIAO::Config_Handlers::SatisfierPropertyKind const &b)
bool | operator== (::CIAO::Config_Handlers::ResourceUsageKind const &a,::CIAO::Config_Handlers::ResourceUsageKind const &b)
bool | operator!= (::CIAO::Config_Handlers::ResourceUsageKind const &a,::CIAO::Config_Handlers::ResourceUsageKind const &b)
bool | operator== (::CIAO::Config_Handlers::CCMComponentPortKind const &a,::CIAO::Config_Handlers::CCMComponentPortKind const &b)
bool | operator!= (::CIAO::Config_Handlers::CCMComponentPortKind const &a,::CIAO::Config_Handlers::CCMComponentPortKind const &b)
::CIAO::Config_Handlers::Domain | domain (xercesc::DOMDocument const *d)
::CIAO::Config_Handlers::DeploymentPlan | deploymentPlan (xercesc::DOMDocument const *d)
::CIAO::Config_Handlers::ImplementationArtifactDescription | implementationArtifactDescription (xercesc::DOMDocument const *d)
::CIAO::Config_Handlers::ComponentInterfaceDescription | componentInterfaceDescription (xercesc::DOMDocument const *d)
::CIAO::Config_Handlers::ComponentImplementationDescription | componentImplementationDescription (xercesc::DOMDocument const *d)
::CIAO::Config_Handlers::ComponentPackageDescription | componentPackageDescription (xercesc::DOMDocument const *d)
::CIAO::Config_Handlers::PackageConfiguration | packageConfiguration (xercesc::DOMDocument const *d)
::CIAO::Config_Handlers::TopLevelPackageDescription | topLevelPackageDescription (xercesc::DOMDocument const *d)

## Function Documentation

CIAO::Config_Handlers::ComponentImplementationDescription CIAO::Config_Handlers::componentImplementationDescription | ( | xercesc::DOMDocument const * | d | ) |

CIAO::Config_Handlers::ComponentInterfaceDescription CIAO::Config_Handlers::componentInterfaceDescription | ( | xercesc::DOMDocument const * | d | ) |

CIAO::Config_Handlers::ComponentPackageDescription CIAO::Config_Handlers::componentPackageDescription | ( | xercesc::DOMDocument const * | d | ) |

CIAO::Config_Handlers::DeploymentPlan CIAO::Config_Handlers::deploymentPlan | ( | xercesc::DOMDocument const * | d | ) |

CIAO::Config_Handlers::Domain CIAO::Config_Handlers::domain | ( | xercesc::DOMDocument const * | d | ) |

CIAO::Config_Handlers::ImplementationArtifactDescription CIAO::Config_Handlers::implementationArtifactDescription | ( | xercesc::DOMDocument const * | d | ) |

bool CIAO::Config_Handlers::operator!= | ( | ::CIAO::Config_Handlers::CCMComponentPortKind const & | a,
|  | ::CIAO::Config_Handlers::CCMComponentPortKind const & | b
| ) |

bool CIAO::Config_Handlers::operator!= | ( | ::CIAO::Config_Handlers::ResourceUsageKind const & | a,
|  | ::CIAO::Config_Handlers::ResourceUsageKind const & | b
| ) |

bool CIAO::Config_Handlers::operator!= | ( | ::CIAO::Config_Handlers::SatisfierPropertyKind const & | a,
|  | ::CIAO::Config_Handlers::SatisfierPropertyKind const & | b
| ) |

bool CIAO::Config_Handlers::operator!= | ( | ::CIAO::Config_Handlers::TCKind const & | a,
|  | ::CIAO::Config_Handlers::TCKind const & | b
| ) |

bool CIAO::Config_Handlers::operator== | ( | ::CIAO::Config_Handlers::CCMComponentPortKind const & | a,
|  | ::CIAO::Config_Handlers::CCMComponentPortKind const & | b
| ) |

bool CIAO::Config_Handlers::operator== | ( | ::CIAO::Config_Handlers::ResourceUsageKind const & | a,
|  | ::CIAO::Config_Handlers::ResourceUsageKind const & | b
| ) |

bool CIAO::Config_Handlers::operator== | ( | ::CIAO::Config_Handlers::SatisfierPropertyKind const & | a,
|  | ::CIAO::Config_Handlers::SatisfierPropertyKind const & | b
| ) |

bool CIAO::Config_Handlers::operator== | ( | ::CIAO::Config_Handlers::TCKind const & | a,
|  | ::CIAO::Config_Handlers::TCKind const & | b
| ) |

CIAO::Config_Handlers::PackageConfiguration CIAO::Config_Handlers::packageConfiguration | ( | xercesc::DOMDocument const * | d | ) |

CIAO::Config_Handlers::TopLevelPackageDescription CIAO::Config_Handlers::topLevelPackageDescription | ( | xercesc::DOMDocument const * | d | ) |